Airplay Artist Charts

​

ACR airplay artist charts. Duration and optional cityId select the source acr_*_artist_*chart table. Merges Artist.getBasicInfoBatch(artistIds) plus batched historical rankStats from QUERY_GET_USER_RANKINGS.ACR_BATCH.

Query Parameters

  • Charting date (YYYY-MM-DD). Defaults to the latest available chart when omitted.

  • Lower bound of the date range (YYYY-MM-DD). Required unless latest=true.

  • Maximum entries returned per request (max 500).

  • Chart duration; only daily and weekly have a backing ACR artist chart table.

  • Airplay country code; only the ACR-supported countries are accepted. Defaults to 'GLOBAL'.

    values
    • AF
    • NL
    • AN
    • AL
    • DZ
    • AS
    • AD
    • AO
  • If true, use the most recently available date and ignore since.

Responses

  • application/json
Request Example for get/api/charts/airplay/artists
curl 'https://api.chartmetric.com/api/charts/airplay/artists?duration=daily&country_code=GLOBAL' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "length": null,
    "data": [
      {
        "rank": null,
        "pre_rank": null,
        "peak_rank": null,
        "peak_date": "2026-10-22T03:13:13.603Z",
        "added_at": "2026-10-22T03:13:13.603Z",
        "velocity": null,
        "time_on_chart": "string",
        "code2": null,
        "city_id": null,
        "plays": 1,
        "cm_artist": null,
        "id": 0,
        "name": null,
        "image_url": null,
        "isni": null,
        "hometown_city": null,
        "current_city": null,
        "sp_followers": null,
        "sp_popularity": null,
        "sp_monthly_listeners": null,
        "deezer_fans": null,
        "tags": [],
        "spotify_artist_ids": [
          1
        ],
        "itunes_artist_ids": [
          1
        ],
        "deezer_artist_ids": [
          1
        ],
        "amazon_artist_ids": [
          1
        ],
        "cm_artist_rank": null,
        "rankStats": [
          {
            "rank": null,
            "plays": 1,
            "timestp": "2026-10-22T03:13:13.603Z"
          }
        ]
      }
    ]
  }
}